Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.repository.artifact
Interface IArtifactDescriptor

All Known Implementing Classes:
  ArtifactDescriptor

    public interface IArtifactDescriptor

An artifact descriptor describes an artifact stored in some artifact repository. The descriptor defines the artifact it contains, as well as any processing steps that must be performed when the artifact is transferred out of the repository (such as decompression, error checking, etc).

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients. Instead subclass the `ArtifactDescriptor` class
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static String` `ARTIFACT_MD5` An artifact descriptor property (value "artifact.md5") indicating the MD5 checksum of the artifact bytes in its native format (after processing steps have been applied).
`static String` `ARTIFACT_SIZE` An artifact descriptor property (value "artifact.size") indicating the size in bytes of the artifact in its native format (after processing steps have been applied).
`static String` `DOWNLOAD_CONTENTTYPE` An artifact descriptor property (value "download.contentType") indicating the content type of the artifact bytes that are transferred.
`static String` `DOWNLOAD_MD5` An artifact descriptor property (value "download.md5") indicating the MD5 checksum of the artifact bytes that are transferred.
`static String` `DOWNLOAD_SIZE` An artifact descriptor property (value "download.size") indicating the number of bytes that will be transferred when this artifact is transferred out of the repository.
`static String` `FORMAT` An artifact descriptor property (value "format") indicating the storage format of the artifact in the repository.
`static String` `FORMAT_PACKED` A property value for the `FORMAT` artifact descriptor property (value "packed") indicating the storage format is using pack200 compression.
`static String` `TYPE_ZIP` An content type (value "application/zip") indicating the content is a zip file.

Method Summary
`IArtifactKey` `getArtifactKey()` Return the key for the artifact described by this descriptor.
`IProcessingStepDescriptor[]` `getProcessingSteps()` Return the list of processing steps associated with this descriptor.
`Map<String,String>` `getProperties()` Returns a read-only collection of the properties of the artifact descriptor.
`String` `getProperty(String key)` Return the value of the given property in this descriptor `null` is returned if no such property exists
`IArtifactRepository` `getRepository()` Return the artifact repository that holds the artifact described by this descriptor.

Field Detail

### DOWNLOAD_SIZE

    static final String DOWNLOAD_SIZE

  An artifact descriptor property (value "download.size") indicating the number of bytes that will be transferred when this artifact is transferred out of the repository.

  See Also:
    Constant Field Values

### ARTIFACT_SIZE

    static final String ARTIFACT_SIZE

  An artifact descriptor property (value "artifact.size") indicating the size in bytes of the artifact in its native format (after processing steps have been applied).

  See Also:
    Constant Field Values

### DOWNLOAD_MD5

    static final String DOWNLOAD_MD5

  An artifact descriptor property (value "download.md5") indicating the MD5 checksum of the artifact bytes that are transferred.

  See Also:
    Constant Field Values

### DOWNLOAD_CONTENTTYPE

    static final String DOWNLOAD_CONTENTTYPE

  An artifact descriptor property (value "download.contentType") indicating the content type of the artifact bytes that are transferred.

  See Also:
    Constant Field Values

### TYPE_ZIP

    static final String TYPE_ZIP

  An content type (value "application/zip") indicating the content is a zip file.

  See Also:
    Constant Field Values

### ARTIFACT_MD5

    static final String ARTIFACT_MD5

  An artifact descriptor property (value "artifact.md5") indicating the MD5 checksum of the artifact bytes in its native format (after processing steps have been applied).

  See Also:
    Constant Field Values

### FORMAT

    static final String FORMAT

  An artifact descriptor property (value "format") indicating the storage format of the artifact in the repository.

  See Also:
    `FORMAT_PACKED`, Constant Field Values

### FORMAT_PACKED

    static final String FORMAT_PACKED

  A property value for the `FORMAT` artifact descriptor property (value "packed") indicating the storage format is using pack200 compression.

  See Also:
    `FORMAT`, Constant Field Values

Method Detail

### getArtifactKey

    IArtifactKey getArtifactKey()

  Return the key for the artifact described by this descriptor.

  Returns:
    the key associated with this descriptor

### getProperty

    String getProperty(String key)

  Return the value of the given property in this descriptor `null` is returned if no such property exists

  Parameters:
    `key` - the property key to look for
  Returns:
    the value of the given property or `null`

### getProperties

    Map<String,String> getProperties()

  Returns a read-only collection of the properties of the artifact descriptor.

  Returns:
    the properties of this artifact descriptor.

### getProcessingSteps

    IProcessingStepDescriptor[] getProcessingSteps()

  Return the list of processing steps associated with this descriptor. An empty set of steps implies that this descriptor describes a complete copy of the artifact in its native form. If one or more steps are present, they may be performed when the artifact is transferred from the repository that contains it.

  Returns:
    the list of processing steps for this descriptor

### getRepository

    IArtifactRepository getRepository()

  Return the artifact repository that holds the artifact described by this descriptor. `null` is returned if this descriptor is not held in a repository.

  Returns:
    the repository holding this artifact or `null` if none.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.